#include <sys/types.h>
#include <dirent.h>
#include <sys/time.h> 
#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>
#include <stdlib.h>
#include <fcntl.h>
#include <string.h>
#include <sys/socket.h>

#define NODEFINE
#include <u.h>
#include <libc.h>
#include <fcall.h>
#include "fd.h"

int
pm_fwstat(int fd, uchar *dat, int ndat)
{
	Dir d;
	
	if(convD2M(&d, dat, ndat) < 0){	/* BUG wrong test? */
		pm_werrstr("malformed stat buffer");
		return -1;
	}

	/* XXX */
	return 0;
}
